CREATE TABLE [dbo].[models] (
   [make_number] [int] NOT NULL,
   [model_code] [varchar](100) NOT NULL,
   [is_actual_model] [smallint] NULL,
   [model_currently_available] [smallint] NULL,
   [replacing_model_code] [varchar](100) NULL,
   [description] [varchar](255) NULL,
   [gear_count] [int] NULL,
   [seat_count] [int] NULL,
   [door_count] [int] NULL,
   [cylinder_count] [int] NULL,
   [vehicle_body] [varchar](10) NULL,
   [model_labour_group] [varchar](50) NOT NULL
      CONSTRAINT [DF_models_model_labour_group] DEFAULT (''),
   [has_hour_meter] [smallint] NULL,
   [source_extern] [smallint] NULL,
   [free_form_vehicle_class] [varchar](50) NULL,
   [vin_begin] [varchar](50) NULL,
   [vehicle_pool_code] [varchar](100) NULL,
   [vehicle_pool_engine_code] [varchar](50) NULL,
   [is_manual_transmission] [smallint] NULL,
   [is_all_wheel_drive] [smallint] NULL,
   [is_plugin_hybride] [smallint] NULL,
   [unloaded_weight] [int] NULL,
   [gross_vehicle_weight] [int] NULL,
   [power_kw] [int] NULL,
   [power_kw_at_rotation] [int] NULL,
   [cubic_capacity] [int] NULL,
   [german_kba_hsn] [varchar](50) NULL,
   [german_kba_tsn] [varchar](50) NULL,
   [annual_tax] [numeric](11,2) NULL,
   [model_year] [varchar](50) NULL,
   [model_year_postfix] [varchar](10) NULL,
   [suggested_net_retail_price] [numeric](11,2) NULL,
   [suggested_net_shipping_cost] [numeric](11,2) NULL,
   [european_pollutant_class] [varchar](50) NULL,
   [efficiency_class] [varchar](50) NULL,
   [emission_code] [varchar](50) NULL,
   [carbondioxid_emission] [int] NULL,
   [nox_exhoust] [numeric](6,3) NULL,
   [particle_exhoust] [numeric](6,3) NOT NULL,
   [external_schwacke_code] [varchar](100) NULL,
   [skr_carrier_flag] [numeric](4,0) NULL,
   [free_form_model_specification] [varchar](10) NULL,
   [external_technical_type] [varchar](50) NULL,
   [european_fuel_consumption_over] [numeric](6,2) NULL,
   [european_fuel_consumption_coun] [numeric](6,2) NULL,
   [european_fuel_consumption_city] [numeric](6,2) NULL,
   [energy_consumption] [varchar](50) NULL,
   [insurance_class_liability] [int] NULL,
   [insurance_class_part_comprehen] [int] NULL,
   [insurance_class_full_comprehen] [int] NULL,
   [fuel_code_1] [varchar](10) NULL,
   [fuel_code_2] [varchar](10) NULL,
   [client_db] [varchar](20) NOT NULL

   ,CONSTRAINT [models$0] PRIMARY KEY CLUSTERED ([make_number], [model_code], [model_labour_group], [client_db])
)


GO
